Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGStyleSheetProcessingInstruction

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractProcessingInstruction
                  org.apache.batik.dom.StyleSheetProcessingInstruction
                      org.apache.batik.dom.svg.SVGStyleSheetProcessingInstruction

All Implemented Interfaces:
  Serializable, CSSStyleSheetNode, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, EventTarget, Node, ProcessingInstruction, LinkStyle

    public class SVGStyleSheetProcessingInstruction

extends StyleSheetProcessingInstruction
implements CSSStyleSheetNode

This class provides an implementation of the 'xml-stylesheet' processing instructions.

See Also:
  Serialized Form

Field Summary
`protected StyleSheet` | `styleSheet` The style-sheet.

Fields inherited from class org.apache.batik.dom.StyleSheetProcessingInstruction
`factory, pseudoAttributes, readonly, sheet`

Fields inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`data`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `SVGStyleSheetProcessingInstruction()` Creates a new ProcessingInstruction object.
`` | `SVGStyleSheetProcessingInstruction(String data, AbstractDocument owner, StyleSheetFactory f)` Creates a new ProcessingInstruction object.

Method Summary
`StyleSheet` | `getCSSStyleSheet()` Returns the associated style-sheet.
`String` | `getStyleSheetURI()` Returns the URI of the referenced stylesheet.
`protected Node` | `newNode()` Returns a new uninitialized instance of this object's class.
`void` | `setData(String data)` DOM: Implements `ProcessingInstruction.setData(String)`.

Methods inherited from class org.apache.batik.dom.StyleSheetProcessingInstruction
`getPseudoAttributes, getSheet, getTarget, isReadonly, setNodeName, setReadonly`

Methods inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`copyInto, deepCopyInto, deepExport, export, getData, getNodeName, getNodeType, getNodeValue, getTextContent, setNodeValue`

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, appendChild, checkChildType, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getChildNodes, getCurrentDocument, getEventSupport, getFeature, getFirstChild, getLastChild, getLocalName, getManagerData, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasChildNodes, hasEventListenerNS, initializeEventSupport, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeEventListener, removeEventListenerNS, replaceChild, setManagerData, setOwnerDocument, setPrefix, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setPrefix, setTextContent, setUserData`

Field Detail

### styleSheet

    protected StyleSheet styleSheet

  The style-sheet.

Constructor Detail

### SVGStyleSheetProcessingInstruction

    protected SVGStyleSheetProcessingInstruction()

  Creates a new ProcessingInstruction object.

### SVGStyleSheetProcessingInstruction

    public SVGStyleSheetProcessingInstruction(String data,
                                              AbstractDocument owner,
                                              StyleSheetFactory f)

  Creates a new ProcessingInstruction object.

Method Detail

### getStyleSheetURI

    public String getStyleSheetURI()

  Returns the URI of the referenced stylesheet.

### getCSSStyleSheet

    public StyleSheet getCSSStyleSheet()

  Returns the associated style-sheet.

  Specified by:
    `getCSSStyleSheet` in interface `CSSStyleSheetNode`

### setData

    public void setData(String data)
                 throws DOMException

  DOM: Implements `ProcessingInstruction.setData(String)`.

  Specified by:
    `setData` in interface `ProcessingInstruction`
  Overrides:
    `setData` in class `StyleSheetProcessingInstruction`
  Throws:
    `DOMException`

### newNode

    protected Node newNode()

  Returns a new uninitialized instance of this object's class.

  Overrides:
    `newNode` in class `StyleSheetProcessingInstruction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.